## NAME

r.in.arc - Converts an ESRI ARC/INFO ascii raster file (GRID) into a (binary) raster map layer.

## KEYWORDS

raster, import

## SYNOPSIS

r.in.arc
r.in.arc help
r.in.arc input=string output=name [type=string] [title="phrase"] [mult=float] [--overwrite] [--verbose] [--quiet]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=string
  ARC/INFO ASCII raster file (GRID) to be imported
output=name
  Name for output raster map
type=string
  Storage type for resultant raster map
  Options: CELL,FCELL,DCELL
  Default: FCELL
title="phrase"
  Title for resultant raster map
mult=float
  Multiplier for ASCII data
  Default: 1.0

## DESCRIPTION

r.in.arc allows a user to create a (binary) GRASS raster map layer from an ESRI ARC/INFO ascii GRID file with (optional) title.

The ARC/INFO ascii GRID file header has 6 lines (last line optional):

         ncols:
         nrows:
         xllcorner:
         yllcorner:
         cellsize:
         nodata_value:

or alternatively (not supported by r.in.arc, but by r.in.gdal, last line optional):

         ncols:
         nrows:
         xllcenter:
         yllcenter:
         cellsize:
         nodata_value:

## NOTES

r.in.arc handles floating point cell values. The mult option allows the number of significant figures of a floating point cell to be increased before importing. Multiples of ten are the most functional multipliers.

## EXAMPLE

To import a ARC/INFO ascii grid, applying a 10x multiplier during import, with title:

    r.in.arc input=elev_meters.asc output=elev_decimeters title="Elevation data converted to decimeters" mult=10

## SEE ALSO

r.in.gdal r.out.arc

## AUTHOR

Unknown German author, updated by Bill Brown to floating point support.

Last changed: $Date: 2008-06-10 06:15:30 +0200 (út, 10 VI 2008) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team